FreeBSD Project Associates
Needs ReviewPublic

Authored by matthew on Apr 17 2017, 7:47 PM.

Diff Detail

Repository
rD FreeBSD doc repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9720
Build 10159: arc lint + arc unit
matthew created this revision.Apr 17 2017, 7:47 PM
matthew updated this revision to Diff 27494.Apr 17 2017, 7:50 PM

Reduce the diff -- remove an extraneous whitespace change.

emaste added a subscriber: emaste.Apr 17 2017, 8:03 PM
bcr added a subscriber: bcr.Apr 17 2017, 8:24 PM

A textual nit, nothing big.

en_US.ISO8859-1/htdocs/internal/associates.xml
41 ↗(On Diff #27494)

s/the way/the same way/

matthew updated this revision to Diff 27495.Apr 17 2017, 9:28 PM

Address comments by bcr

matthew marked an inline comment as done.Apr 17 2017, 9:28 PM
bcr accepted this revision.Apr 22 2017, 1:07 PM
This revision is now accepted and ready to land.Apr 22 2017, 1:07 PM
This revision was automatically updated to reflect the committed changes.
matthew reopened this revision.Apr 22 2017, 5:57 PM
matthew updated this revision to Diff 27641.Apr 22 2017, 6:05 PM

Revert changes

This revision was automatically updated to reflect the committed changes.
matthew reopened this revision.May 1 2017, 8:15 PM

Reopen now we've settled on naming

matthew updated this revision to Diff 27896.May 1 2017, 8:16 PM

Back out the backed out changes, reinstating the 'Associate' page.

matthew updated this revision to Diff 27897.May 1 2017, 9:22 PM

Rename 'associates.xml' to 'members.xml'

Reword the document in terms of 'Project members' where 'Committers'
are that sub-set of members that have commit bits.

matthew updated this revision to Diff 27898.May 1 2017, 9:36 PM

'Membership' rather the 'Member' makes more sense as the link text.

jhb added a subscriber: jhb.May 5 2017, 10:17 PM
jhb added inline comments.
en_US.ISO8859-1/htdocs/internal/members.xml
17–18

I think you can drop this paragraph entirely.

31

I would simplify this (and use some of the language from your first paragraph above) to say:

Committers are members who have been granted commit access (a "commit bit") to one or more of the Project's repositories.  Committers are expected...
37

Aren't all members required to abide by the CoC? Also, in the original language, this list of requirements about licensing was required of associates as well. I think perhaps instead we should have a separate itemized list of "obligations" to match the list of "benefits" and move everything starting with "comitters are expected..." into that section and have it apply to all members. That would mean structuring this as:

A FreeBSD Project Member is...

Comitters are members who have been granted commit access...

<h2>Member Responsibilities</h2>
   <li>Contributed material adheres to project's standards and practices.
   <li>Contributed material is correctly attributed to its authors
   <li>Contributed material has appropriate licensing
 
<h2>Member Benefits</h2>
   /* existing "receives" list */

<h2> Committer Benefits</h2>
In addition to member benefits, active committers can vote.

Members MUST create SSH and PGP...
matthew updated this revision to Diff 28100.May 6 2017, 11:01 AM

Address points raised by jhb:

  • Drop the introductory paragraph. This (or something like it) can be the preamble to the announcement to announcement message rather than being part of the definitive document.
  • Simplify and reorganise the structure. Explain what all Member benefits are, what all Members responsibilities are in common, and add some text to explain the additional benefits and responsibilities of Committers.
  • Attempt to be consistent in capitalizing terms like 'Project', 'Member', 'Committer' etc.
  • Fix the <!ENTITY title "FreeBSD Project Members"> tag.
matthew marked 3 inline comments as done.May 6 2017, 11:03 AM
jhb added a comment.May 8 2017, 6:47 PM

Thanks, a few minor suggestions

en_US.ISO8859-1/htdocs/internal/members.xml
25

Perhaps drop this paragraph now?

45–47

Tweak: "Committer Benefits:" to match formatting of earlier <h2> for Member Benefits.

50–51

s/designate, that/designate to/. I think this reads a bit clearer as if you drop the clause in commas you get "Core ... should review.."

51

Trailing colon here as well?

51

For this last sentence perhaps "There is no formal definition of inactive accounts. Core and the designated teams will use their own discretion to determine inactivity."

59

I would drop "in exactly the same way as Committers have done previously" as that detail only matters temporarily.

matthew marked 5 inline comments as done.May 9 2017, 7:27 AM
matthew added inline comments.
en_US.ISO8859-1/htdocs/internal/members.xml
25

I disagree here -- the @FreeBSD.org address is probably the most attractive benefit of becoming a Project Member -- it's the one thing that the rest of the world will be able to see. It's the public acknowledgement of their contribution to the Project.

matthew updated this revision to Diff 28164.May 9 2017, 7:30 AM

Address some more commments from jhb:

  • Make the <h2> heading format more consistent
  • Reword the sentence about core delegating the rights to award Member status to other groups.
  • Drop reference to previous status in the requirement for SSH and PGP keys.
jhb added inline comments.May 9 2017, 5:19 PM
en_US.ISO8859-1/htdocs/internal/members.xml
25

To be clear, by "paragraph" I mean the literal "<p>All members receive:</p>" as it is redundant with the heading in the line above, not to remove the list of benefits.

matthew added inline comments.May 9 2017, 6:11 PM
en_US.ISO8859-1/htdocs/internal/members.xml
25

Oh, I see. Sorry for the misunderstanding. Yes, I guess that line could go.

matthew updated this revision to Diff 28181.May 9 2017, 6:13 PM

More jhb comments: delete a line that serves no real purpose.

matthew marked 4 inline comments as done.May 9 2017, 6:13 PM
jhb accepted this revision.May 9 2017, 6:22 PM

Looks good to me. Thanks for being patient with my nit-picking.

This revision is now accepted and ready to land.May 9 2017, 6:22 PM
jonathan added inline comments.
head/en_US.ISO8859-1/htdocs/internal/members.xml
18 ↗(On Diff #29294)

"has made a notable contribution" (past tense) or "contributes" (present tense)? We may not be able to clearly articulate how to measure currency of contribution for non-committing members (i.e., there's no simple equivalent to "you must have committed within the last N months"), but isn't the intention that current members are currently contributing to the Project?

matthew added inline comments.Jun 7 2017, 4:31 PM
head/en_US.ISO8859-1/htdocs/internal/members.xml
18 ↗(On Diff #29294)

Hmm... it really should be both. Being awarded "Project Member' status is a recognition of past contributions, but it's also a reward for on-going contributions -- the status should eventually lapse for someone that ceases to contribute.

matthew reopened this revision.Jun 7 2017, 4:35 PM

Re-open to allow updates.

matthew updated this revision to Diff 29297.Jun 7 2017, 4:35 PM

Note that 'FreeBSD Project Members' are expected to be currently
active contributors.

matthew updated this revision to Diff 29298.Jun 7 2017, 4:42 PM

Incorporate gjb's build-fixes and whitespace cleanup.

cy added a subscriber: cy.Jun 10 2017, 5:45 PM